package org.springblade.third.iotdevice.feign;

import org.springblade.core.tool.api.R;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author lidexi
 * @date 2021/5/29 16:38
 */

public interface IDeviceManageClient {
	/**
	 * 创建设备
	 * @return
	 */
	@PostMapping
	R createDevice();
	/**
	 * 删除设备
	 * @return
	 */
	R deleteDevice();
	/**
	 * 查询设备
	 * @return
	 */
	R queryDevice();
	/**
	 * 批量查询设备
	 * @return
	 */
	R queryDeviceList();
	/**
	 * 批量查询设备
	 * @return
	 */
	R updateDevice();
}
